Storyden
Nodes

Node Version Get

Get an edit version for a node. The version must belong to the node identified by `node_slug`. Applied versions are immutable historical snapshots and are visible to callers who can read the target node. The draft version is visible only to its author and members with `MANAGE_LIBRARY`.

GET/nodes/{node_slug}/versions/{version_id}

Get an edit version for a node.

The version must belong to the node identified by node_slug. Applied versions are immutable historical snapshots and are visible to callers who can read the target node. The draft version is visible only to its author and members with MANAGE_LIBRARY.

Authorization

storyden-session<token>

In: cookie

Path Parameters

node_slug*string

Unique node Slug.

Formatxid
version_id*string

Node version ID.

Formatxid

Response Body

application/json

application/json

curl -X GET "https://example.com/nodes/string/versions/string"
{  "id": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "node_id": "string",  "author": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "status": "draft",  "previous": {    "id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "author": {      "id": "string",      "joined": "2019-08-24T14:15:22Z",      "suspended": "2019-08-24T14:15:22Z",      "handle": "string",      "name": "string",      "signature": "string",      "roles": [        {          "badge": true,          "default": true,          "id": "string",          "name": "string",          "colour": "string",          "meta": {}        }      ]    },    "status": "draft"  },  "name": "string",  "slug": "string",  "description": "string",  "content": "string",  "properties": [    {      "fid": "string",      "name": "string",      "value": "string",      "type": "text",      "sort": "string"    }  ],  "meta": {}}